/store-carts-delete-one

Summary

  • Source repository: jef-systems/jef-store-backend

  • Source SHA: 8aeea2418405bc456b822b328ee67dbf6f3df16c

  • Source run id: 25872690726

  • Lambda function: jef-store-carts-delete-one

  • HTTP method: DELETE

  • API path: /store-carts-delete-one

  • Endpoint URL: https://dqo3268ty9.execute-api.ap-southeast-1.amazonaws.com/prod/store-carts-delete-one

  • Payload mode: json-body

Description

  • Function: jef-store-carts-delete-one

  • Module: jef-store

  • Action: delete-one

  • Method: DELETE

  • Invocation Mode: ASYNC

  • Resource Path: /store-carts-delete-one

  • Table: jef-store-carts

  • Primary Key: cart_id

API Gateway Response

  • status\_code: 202

  • message: Request accepted for asynchronous processing.

Payload Example

  • cart\_id: d2ea8b40-4712-4f51-b80e-fea7b9531436

Payload Schema

[
  {
    "key": "root.type",
    "value": "M"
  },
  {
    "key": "root.required",
    "value": "True"
  },
  {
    "key": "root.attributes.cart_id.type",
    "value": "S"
  },
  {
    "key": "root.attributes.cart_id.required",
    "value": "True"
  },
  {
    "key": "root.attributes.cart_id.format",
    "value": "uuidv4"
  },
  {
    "key": "root.attributes.cart_id.regex",
    "value": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
  }
]

Response Schema

[
  {
    "key": "root.type",
    "value": "M"
  },
  {
    "key": "root.required",
    "value": "True"
  },
  {
    "key": "root.attributes.is_accepted.type",
    "value": "BOOL"
  },
  {
    "key": "root.attributes.is_accepted.required",
    "value": "True"
  },
  {
    "key": "root.attributes.message.type",
    "value": "S"
  },
  {
    "key": "root.attributes.message.required",
    "value": "True"
  },
  {
    "key": "root.attributes.request_id.type",
    "value": "S"
  },
  {
    "key": "root.attributes.request_id.required",
    "value": "False"
  }
]

Request Payload

[
  {
    "key": "cart_id",
    "value": "d2ea8b40-4712-4f51-b80e-fea7b9531436"
  }
]

Response

[
  {
    "key": "root.type",
    "value": "M"
  },
  {
    "key": "root.required",
    "value": "True"
  },
  {
    "key": "root.attributes.is_accepted.type",
    "value": "BOOL"
  },
  {
    "key": "root.attributes.is_accepted.required",
    "value": "True"
  },
  {
    "key": "root.attributes.message.type",
    "value": "S"
  },
  {
    "key": "root.attributes.message.required",
    "value": "True"
  },
  {
    "key": "root.attributes.request_id.type",
    "value": "S"
  },
  {
    "key": "root.attributes.request_id.required",
    "value": "False"
  }
]

CMD curl

curl -X DELETE "https://dqo3268ty9.execute-api.ap-southeast-1.amazonaws.com/prod/store-carts-delete-one" -H "Content-Type: application/json" --data-raw "{\"cart_id\": \"d2ea8b40-4712-4f51-b80e-fea7b9531436\"}"

PowerShell curl

curl.exe -X DELETE "https://dqo3268ty9.execute-api.ap-southeast-1.amazonaws.com/prod/store-carts-delete-one" -H "Content-Type: application/json" --data-raw '{"cart_id": "d2ea8b40-4712-4f51-b80e-fea7b9531436"}'